Межсайтовый скриптинг в SiteSearch Indexer

Дата публикации:
06.04.2006
Всего просмотров:
1051
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SiteSearch Indexer 3.x
Уязвимые версии: SiteSearch Indexer 3.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "searchField" сценария "/search/searchresults.asp". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/search/searchresults.asp?searchField=[XSS]

URL производителя: www.marcreed.com/projects/search_indexer/tutorial/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: SiteSearch Indexer 3.5 XSS vuln.

или введите имя

CAPTCHA